Summary:	C++ user interface toolkit for X11, Win32, and MacOS X
Name:		fltk
Version:	1.1.7
Release:	1%{?dist}

License:	LGPL with exceptions
Group:		System Environment/Libraries
URL:		http://www.fltk.org/
Source0:        http://ftp.easysw.com/pub/fltk/%{version}/%{name}-%{version}-source.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libjpeg-devel zlib-devel libpng-devel libXt-devel libX11-devel
BuildRequires:  xorg-x11-proto-devel libXft-devel libSM-devel libICE-devel
BuildRequires:  mesa-libGL-devel mesa-libGLU-devel libXext-devel
BuildRequires:	pkgconfig
BuildRequires:	ImageMagick desktop-file-utils man

%package devel
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:       libXft-devel libXext-devel mesa-libGL-devel mesa-libGLU-devel
Requires:       libX11-devel libSM-devel libICE-devel

%package fluid
Summary:	Fast Light User Interface Designer
Group:		Development/Tools
Requires:	%{name}-devel = %{version}-%{release}


%description
FLTK (pronounced "fulltick") is a cross-platform C++ GUI toolkit for
UNIX/Linux (X11), Microsoft Windows, and Mac OS X. It provides modern
GUI functionality without the bloat, and supports 3D graphics via
OpenGL and its built-in GLUT emulation. FLTK is designed to be small
and modular enough to be statically linked, and also works fine as a
shared library.

%description devel
This package contains development files for %{name}
FLTK (pronounced "fulltick") is a cross-platform C++ GUI toolkit for
UNIX/Linux (X11), Microsoft Windows, and Mac OS X. It provides modern
GUI functionality without the bloat, and supports 3D graphics via
OpenGL and its built-in GLUT emulation.

%description fluid
fluid stands for the Fast Light User Interface Designer. It is an
interactive GUI designer for FLTK.


%prep
%setup -q -n %{name}-%{version}%{?extraversion}


%build
perl -pi -e "s^\\\$prefix/share/doc/fltk^$RPM_DOC_DIR/%{name}-devel-%{version}^" configure
export CPPFLAGS="$(pkg-config xft --cflags)"
export LDFLAGS="$(pkg-config xft --libs)"
%configure --enable-shared --enable-threads --enable-xdbe --enable-xft
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT __documentation
%makeinstall docdir=$(pwd)/__documentation
rm -rf $RPM_BUILD_ROOT%{_mandir}/cat*

cat > fluid.desktop <<EOF
[Desktop Entry]
Name=Fluid
Comment=Fast Light User Interface Designer
Exec=fluid
Icon=fluid.png
Terminal=false
Type=Application
Encoding=UTF-8
Categories=Application;Development;GUIDesigner;
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category X-Fedora                     \
    fluid.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
convert -resize 48x48 documentation/FL.gif \
    $RPM_BUILD_ROOT%{_datadir}/pixmaps/fluid.png


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ANNOUNCEMENT CHANGES COPYING CREDITS README
%{_libdir}/libfltk.so.*
%{_libdir}/libfltk_forms.so.*
%{_libdir}/libfltk_gl.so.*
%{_libdir}/libfltk_images.so.*

%files devel
%defattr(-,root,root,-)
%doc __documentation/*
%{_bindir}/fltk-config
%{_includedir}/FL
%{_includedir}/Fl
%{_libdir}/libfltk.a
%{_libdir}/libfltk.so
%{_libdir}/libfltk_forms.a
%{_libdir}/libfltk_forms.so
%{_libdir}/libfltk_gl.a
%{_libdir}/libfltk_gl.so
%{_libdir}/libfltk_images.a
%{_libdir}/libfltk_images.so
%{_mandir}/man1/fltk-config.1*
%{_mandir}/man3/fltk.3*

%files fluid
%defattr(-,root,root,-)
%{_bindir}/fluid
%{_mandir}/man1/fluid.1*
%{_datadir}/applications/*fluid.desktop
%{_datadir}/pixmaps/fluid.png


%changelog
* Mon Feb 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.1.7-1
- Upstream update

* Thu Nov 17 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.1.6-4
- Fixed BR and -devel Requires for modular X

* Sun Nov 13 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.1.6-3
- Update BuildRequires as well

* Sun Nov 13 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.1.6-2
- Update Requires for -devel

* Thu Oct 27 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.1.6-1
- Upstream update

* Thu Aug 18 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.1.4-10
- Fixed BR/Requires for x86_64

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Nov 20 2003 Dams <anvil[AT]livna.org> 0:1.1.4-0.fdr.8
- Hopefully fixed Xft flags for rh80

* Thu Nov 20 2003 Dams <anvil[AT]livna.org> 0:1.1.4-0.fdr.7
- Fixed typo

* Thu Nov 20 2003 Dams <anvil[AT]livna.org> 0:1.1.4-0.fdr.6
- Added xft.pc build dependency
- Added BuildReq:man

* Sun Nov  9 2003 Ville Skyttä <ville.skytta@iki.fi> 0:1.1.4-0.fdr.4
- Spec file cleanup
- Enabled xft and threads

* Tue Oct 28 2003 Dams <anvil[AT]livna.org> - 0:1.1.4-0.fdr.3
- Added missing symlink in includedir

* Wed Oct  1 2003 Dams <anvil[AT]livna.org> 0:1.1.4-0.fdr.2
- Removed comment after scriptlets

* Wed Oct  1 2003 Dams <anvil[AT]livna.org> 0:1.1.4-0.fdr.1
- Updated to final 1.1.4

* Wed Sep 24 2003 Dams <anvil[AT]livna.org> 0:1.1.4-0.fdr.0.4.rc1
- Fixed documentation path in configure

* Fri Aug 29 2003 Dams <anvil[AT]livna.org> 0:1.1.4-0.fdr.0.3.rc1
- Fixed typo in desktop entry
- Added missing BuildRequires ImageMagick and desktop-file-utils

* Fri Aug 29 2003 Dams <anvil[AT]livna.org> 0:1.1.4-0.fdr.0.2.rc1
- Moved fluid to its own package
- Added missing Requires for devel package

* Sat Aug 16 2003 Dams <anvil[AT]livna.org>
- Initial build.
